## com.fasterxml.jackson.databind
Class RuntimeJsonMappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.fasterxml.jackson.databind.RuntimeJsonMappingException

All Implemented Interfaces:
  Serializable

    public class RuntimeJsonMappingException

extends RuntimeException

Wrapper used when interface does not allow throwing a checked `JsonMappingException`

See Also:
  Serialized Form

Constructor Summary
`RuntimeJsonMappingException(JsonMappingException cause)`
`RuntimeJsonMappingException(String message)`
`RuntimeJsonMappingException(String message, JsonMappingException cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeJsonMappingException

    public RuntimeJsonMappingException(JsonMappingException cause)

### RuntimeJsonMappingException

    public RuntimeJsonMappingException(String message)

### RuntimeJsonMappingException

    public RuntimeJsonMappingException(String message,
                                       JsonMappingException cause)

Copyright © 2012 FasterXML. All Rights Reserved.